﻿namespace FileArrangement.App
{
	public class NormalTextConditionController : TextConditionController
	{
		public NormalTextConditionController( object target ) : base( target )
		{
			TitleText = "文字列比較";
		}

		protected override void SavePatternHistory()
		{
			if ( CastedTarget.Pattern != string.Empty &&
			     !TextConditionControllerHelper.NormalTextConditionPatternHistory.Contains( CastedTarget.Pattern ) )
			{
				TextConditionControllerHelper.NormalTextConditionPatternHistory.Insert( 0, CastedTarget.Pattern );
			}
		}

		protected override void LoadPatternHistory()
		{
			PatternLabeledComboBox.ComboBox.Items.Clear();
			PatternLabeledComboBox.ComboBox.Items.AddRange(
				TextConditionControllerHelper.NormalTextConditionPatternHistory.ToArray() );
		}
	}
}