﻿namespace FileArrangement.App
{
	public class RegExConditionController : TextConditionController
	{
		public RegExConditionController( object target ) : base( target )
		{
			TitleText = "正規表現比較";
		}

		protected override void SavePatternHistory()
		{
			if ( CastedTarget.Pattern != string.Empty &&
			     !TextConditionControllerHelper.RegExConditionPatternHistory.Contains( CastedTarget.Pattern ) )
			{
				TextConditionControllerHelper.RegExConditionPatternHistory.Insert( 0, CastedTarget.Pattern );
			}
		}

		protected override void LoadPatternHistory()
		{
			PatternLabeledComboBox.ComboBox.Items.Clear();
			PatternLabeledComboBox.ComboBox.Items.AddRange(
				TextConditionControllerHelper.RegExConditionPatternHistory.ToArray() );
		}
	}
}