﻿using Tomham;

namespace FileArrangement.Plugins
{
	public class ConditionMatchingArguments : EffectArguments
	{
		public ConditionMatchingArguments( IMessageOutput output,
		                                   bool previewMode,
		                                   string source,
		                                   string destinationDirectory,
		                                   string newName )
			: base( output, previewMode )
		{
			Source = source;
			DestinationDirectory = destinationDirectory;
			NewName = newName;
		}

		public bool Cancel { get; set; }

		public string Source { get; private set; }

		public string DestinationDirectory { get; private set; }

		public string NewName { get; set; }
	}
}