﻿using System;
using Tomham;

namespace FileArrangement.Plugins
{
	public abstract class EffectArguments
	{
		protected EffectArguments( IMessageOutput output, bool previewMode )
		{
			if ( output == null )
			{
				throw new ArgumentNullException( "output" );
			}

			Output = output;
			PreviewMode = previewMode;
		}

		public IMessageOutput Output { get; private set; }
		public bool PreviewMode { get; private set; }
	}
}