﻿using Tomham;

namespace FileArrangement.Plugins
{
	public class RanWithRuleArguments : EffectArguments
	{
		public RanWithRuleArguments( IMessageOutput output, bool previewMode, string name, string sourceDirectory )
			: base( output, previewMode )
		{
			Name = name;
			SourceDirectory = sourceDirectory;
		}

		public string Name { get; private set; }

		public string SourceDirectory { get; private set; }
	}
}