﻿using log4net;
using Tomham;

namespace FileArrangement
{
	public interface IRuleSetRunnerMode
	{
		IMessageOutput Output { get; set; }
		ILog Log { get; }
		void CreateDirectory( string path );
		void Process( string source, string destination );
		void Running( RuleSet ruleSet );
		void Ran( RuleSet ruleSet, RunResult runResult );
	}
}