﻿using System;
using System.IO;
using System.Text;

namespace Tomham.IO.FileManipulation.Test
{
	public static class TestHelper
	{
		public const string SampleFileName = @"SampleFile.txt";

		public static MatchArguments GetArguments()
		{
			return new MatchArguments( SampleFileName, @"C:\Dir1" );
		}

		public static void SetUp()
		{
			if ( !File.Exists( SampleFileName ) )
			{
				using ( FileStream fs = File.Create( SampleFileName ) )
				{
					Byte[] info = new UTF8Encoding( true ).GetBytes( "Sample" );

					fs.Write( info, 0, info.Length );
				}
			}
		}
	}
}