﻿using System;

namespace Tomham.IO.FileManipulation
{
	[Serializable]
	public class FalseCondition : ICondition
	{
		#region ICondition Members

		public bool IsMatch( MatchArguments arguments )
		{
			return false;
		}

		public ICondition Clone()
		{
			return new FalseCondition();
		}

		#endregion
	}
}