﻿using System;

namespace Tomham.IO.FileManipulation
{
	[Serializable]
	public class NormalTextCondition : TextCondition
	{
		public override ICondition Clone()
		{
			return (ICondition) MemberwiseClone();
		}

		protected override bool IsMatch( string target )
		{
			if ( IgnoreCase )
			{
				return target.ToLower().Contains( Pattern.ToLower() );
			}

			return target.Contains( Pattern );
		}
	}
}