﻿using Tomham.IO.FileManipulation;
using Tomham.Windows.Forms.AutoGeneration;

namespace FileArrangement.App
{
	public class AndConditionControllerFactory : ComplexConditionControllerFactory
	{
		public AndConditionControllerFactory( FormHelper formHelper ) : base( formHelper )
		{
		}

		protected override bool IsTarget( object target )
		{
			return target is AndCondition;
		}

		protected override Controller DoCreate( object target )
		{
			return new AndConditionController( target, FormHelper );
		}
	}
}