﻿using Tomham.IO.FileManipulation;
using Tomham.Windows.Forms.AutoGeneration;

namespace FileArrangement.App
{
	public class OrConditionControllerFactory : ComplexConditionControllerFactory
	{
		public OrConditionControllerFactory( FormHelper formHelper ) : base( formHelper )
		{
		}

		protected override bool IsTarget( object target )
		{
			return target is OrCondition;
		}

		protected override Controller DoCreate( object target )
		{
			return new OrConditionController( target, FormHelper );
		}
	}
}