﻿using System;

namespace FileArrangement.Plugins
{
	[AttributeUsage( AttributeTargets.Class | AttributeTargets.Struct | AttributeTargets.Enum )]
	public class ControllerSpecificationAttribute : Attribute
	{
		public ControllerSpecificationAttribute( Type controller )
		{
			if ( controller == null )
			{
				throw new ArgumentNullException( "controller" );
			}

			Controller = controller;
		}

		public Type Controller { get; private set; }
	}
}