﻿using Tomham;

namespace FileArrangement.Plugins
{
	public class RanWithFileArguments : EffectArguments
	{
		public RanWithFileArguments( IMessageOutput output, bool previewMode, string source, string destination )
			: base( output, previewMode )
		{
			Source = source;
			Destination = destination;
		}

		public string Source { get; private set; }

		public string Destination { get; private set; }
	}
}