﻿using Tomham;

namespace FileArrangement.Plugins
{
	public class RunningWithFileArguments : EffectArguments
	{
		public RunningWithFileArguments( IMessageOutput output, bool previewMode, string source, string destinationDirectory )
			: base( output, previewMode )
		{
			Source = source;

			DestinationDirectory = destinationDirectory;
		}

		public bool Cancel { get; set; }

		public string Source { get; private set; }

		public string DestinationDirectory { get; set; }
	}
}