﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Collections;

namespace Tomham.Windows.Forms
{
	class DefaultFilterListBoxItemComparer : IComparer
	{
		private DefaultFilterListBoxItemComparer() { }

		private static DefaultFilterListBoxItemComparer instance = 
			new DefaultFilterListBoxItemComparer();

		public static DefaultFilterListBoxItemComparer Instance
		{
			get { return instance; }
		}

		#region IComparer メンバ

		public int Compare( object x, object y )
		{
			if ( x == y )
			{
				return 0;
			}
			if ( x == null )
			{
				return -1;
			}
			if ( y == null )
			{
				return 1;
			}

			return x.ToString().CompareTo( y.ToString() );
		}

		#endregion
	}
}
