﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace Tomham.Windows.Forms
{
	public partial class LabeledComboBox : LabeledControl
	{
		public LabeledComboBox()
		{
			InitializeComponent();

			comboBoxContent = new ComboBox();

			SetContent( comboBoxContent );
		}

		private ComboBox comboBoxContent;

		[Category( "Default" )]
		[BrowsableAttribute( true )]
		[DesignerSerializationVisibility( DesignerSerializationVisibility.Content )]
		public ComboBox ComboBox
		{
			get { return comboBoxContent; }
		}
	}
}
